iOS高德地图SDK(3D) V11.2.0001

Properties | List of all members
MAParticleOverlayOptions Class Reference

`#import <MAParticleOverlayOptions.h>`

Inheritance diagram for MAParticleOverlayOptions:

## Properties
BOOL | visibile
NSTimeInterval | duration
BOOL | loop
NSInteger | maxParticles
UIImage * | icon
CGSize | startParticleSize
NSTimeInterval | particleLifeTime
id< MAParticleColorGenerate > | particleStartColor
id< MAParticleVelocityGenerate > | particleStartSpeed
MAParticleEmissionModuleOC * | particleEmissionModule
id< MAParticleShapeModule > | particleShapeModule
MAParticleOverLifeModuleOC * | particleOverLifeModule

## Detailed Description

该类用于定义一个粒子覆盖物显示选项. since 6.5.0 This class is used to define display options for particle overlays. since 6.5.0

## Property Documentation

## ◆ duration

- (NSTimeInterval) duration
| read write nonatomic assign

粒子系统存活时间. (默认5000,单位毫秒)) Particle system lifetime. (Default 5000, unit milliseconds)

## ◆ icon

- (UIImage*) icon
| read write nonatomic strong

粒子系统的粒子图标. (默认nil) Particle icon of the particle system. (Default nil)

## ◆ loop

- (BOOL) loop
| read write nonatomic assign

粒子系统是否循环. (默认YES) Whether the particle system loops. (Default YES)

## ◆ maxParticles

- (NSInteger) maxParticles
| read write nonatomic assign

粒子系统的粒子最大数量. (默认100) Maximum number of particles in the particle system. (Default 100)

## ◆ particleEmissionModule

- (MAParticleEmissionModuleOC*) particleEmissionModule
| read write nonatomic strong

粒子的发射率,参考 MAParticleEmissionModuleOC 类. (默认nil) The emission rate of particles, refer to the MAParticleEmissionModuleOC class. (default nil)

## ◆ particleLifeTime

- (NSTimeInterval) particleLifeTime
| read write nonatomic assign

每个粒子的存活时间. (默认5000,单位毫秒) Lifetime of each particle. (Default 5000, unit: milliseconds)

## ◆ particleOverLifeModule

- (MAParticleOverLifeModuleOC*) particleOverLifeModule
| read write nonatomic strong

粒子生命周期过程,参考 MAParticleOverLifeModuleOC 类. (默认nil) The life cycle process of particles, refer to the MAParticleOverLifeModuleOC class. (default nil)

## ◆ particleShapeModule

- (id<MAParticleShapeModule>) particleShapeModule
| read write nonatomic strong

粒子的发射区域模型. (默认nil) The emission area model of particles. (default nil)

## ◆ particleStartColor

- (id<MAParticleColorGenerate>) particleStartColor
| read write nonatomic strong

每个粒子的初始颜色. (默认nil) Initial color of each particle. (Default nil)

## ◆ particleStartSpeed

- (id<MAParticleVelocityGenerate>) particleStartSpeed
| read write nonatomic strong

每个粒子的初始速度. (默认nil) Initial velocity of each particle. (Default nil)

## ◆ startParticleSize

- (CGSize) startParticleSize
| read write nonatomic assign

每个粒子的初始大小. (默认(32.f*[[UIScreen mainScreen] nativeScale], 32.f*[[UIScreen mainScreen] nativeScale]),单位:OpenGLESPixels数量，计算方式为: OpenGLESPixels = ScreenPoint数量 * [[UIScreen mainScreen] nativeScale]) Initial size of each particle.(Default(32.f*[[UIScreen mainScreen] nativeScale], 32.f*[[UIScreen mainScreen] nativeScale]),Unit: OpenGLESPixels quantity, calculated as: OpenGLESPixels = ScreenPoint quantity * [[UIScreen mainScreen] nativeScale])

## ◆ visibile

- (BOOL) visibile
| read write nonatomic assign

option选项是否可见. (默认YES) Whether the option is visible. (Default YES)

The documentation for this class was generated from the following file:

- MAParticleOverlayOptions.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。